package com.xingxi.business.Order.service;

import com.xingxi.business.Order.domain.Order;

import java.util.List;

/**
 * 订单Service接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface IOrderService {
    /**
     * 查询订单
     *
     * @param orderId 订单主键
     * @return 订单
     */
    Order selectOrderByOrderId(Long orderId);

    /**
     * 查询订单列表
     *
     * @param Order 订单
     * @return 订单集合
     */
    List<Order> selectOrderList(Order Order);

    /**
     * 新增订单
     *
     * @param Order 订单
     * @return 结果
     */
    int insertOrder(Order Order);

    /**
     * 新增订单
     *
     * @param OrderList 订单
     * @return 结果
     */
    int batchInsertOrder(List<Order> OrderList);

    /**
     * 修改订单
     *
     * @param Order 订单
     * @return 结果
     */
    int updateOrder(Order Order);

    /**
     * 批量删除订单
     *
     * @param orderIds 需要删除的订单主键集合
     * @return 结果
     */
    int deleteOrderByOrderIds(String orderIds);

    /**
     * 删除订单信息
     *
     * @param orderId 订单主键
     * @return 结果
     */
    int deleteOrderByOrderId(Long orderId);

    /**
     * 逻辑删除订单
     *
     * @param orderId 订单主键
     * @return 结果
     */
    int logicDeleteOrderByOrderId(Long orderId);

    /**
     * 逻辑批量删除订单
     *
     * @param orderIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteOrderByOrderIds(String[] orderIds);

    /**
     * 逻辑批量删除订单
     *
     * @param Order 订单
     * @return 结果
     */
    int logicDeleteOrderByCondition(Order Order);
}
